%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate arc-swap

Name:           rust-arc-swap
Version:        1.7.1
Release:    1%{?dist}
Summary:        Atomically swappable Arc

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/arc-swap
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Atomically swappable Arc.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TODO
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-strategies-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-strategies-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-strategies" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-strategies-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-thread-local-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-thread-local-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-thread-local" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-thread-local-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+internal-test-strategies-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal-test-strategies-devel %{_description}

This package contains library source intended for building other packages which
use the "internal-test-strategies" feature of the "%{crate}" crate.

%files       -n %{name}+internal-test-strategies-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+weak-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+weak-devel %{_description}

This package contains library source intended for building other packages which
use the "weak" feature of the "%{crate}" crate.

%files       -n %{name}+weak-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-1
- initial build
